package de.viper.survivalplus.Manager;

import org.bukkit.inventory.ItemStack;

public class Warp {

    private final String owner;
    private final String name;
    private final ItemStack item;
    private final String worldName;
    private final double x, y, z;

    public Warp(String owner, String name, ItemStack item, String worldName, double x, double y, double z) {
        this.owner = owner;
        this.name = name;
        this.item = item;
        this.worldName = worldName;
        this.x = x;
        this.y = y;
        this.z = z;
    }

    public String getOwner() {
        return owner;
    }
    public String getName() {
        return name;
    }
    public ItemStack getItem() {
        return item;
    }
    public String getWorldName() {
        return worldName;
    }
    public double getX() {
        return x;
    }
    public double getY() {
        return y;
    }
    public double getZ() {
        return z;
    }
}
